6.0.0-git
2019-03-24

[#10570] Inline images not displaying
Summary Inline images not displaying
Queue Wicked
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester simon (at) simonandkate (dot) net
Created 2011-09-29 (2733 days ago)
Due
Updated 2013-02-04 (2239 days ago)
Assigned 2011-10-07 (2725 days ago)
Resolved 2011-10-11 (2721 days ago)
Milestone
Patch No

History
2013-02-04 10:26:57 Jan Schneider Comment #9
Version ⇒ Git master
Reply to this comment
Different issue, this one is fixed.
2013-02-03 11:30:37 simon (at) simonandkate (dot) net Comment #8 Reply to this comment
OK, I've just migrated everything to H5 and Wicked 2.0 Git... still 
similar issue in mediawiki content (which is what all the content is 
in).

File vw.jpg is attached to the page Wiki/Home, 
https://<serveraddress>/wicked/display.php?page=Wiki%2FHome.

Tag in the page reads:

[[Image:vw.jpg]]

Just shows a broken image link, that refers to

https://<serveraddress>/wicked/view.php?page=Wiki%2FHome&mime=1&file=vw.jpg
2011-11-03 12:42:18 szimszon (at) oregpreshaz (dot) eu Comment #7 Reply to this comment
Confirmed. Tnx. Works.
Turns out that it's sufficient to replace the image() method of 
Text_Wiki_Parse_Wikilink.
2011-10-11 10:28:36 Jan Schneider Comment #6
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Turns out that it's sufficient to replace the image() method of 
Text_Wiki_Parse_Wikilink.
2011-10-11 10:28:13 Git Commit Comment #5 Reply to this comment
Changes have been made in Git for this ticket:

Fix rendering of attached images with Mediawiki (Bug #10570).
Simply copy the original renderer's image() method and replace Image with
Image2, to make sure that our own image renderer is triggered, that is 
aware of
image attachments.

  3 files changed, 57 insertions(+), 1 deletions(-)
http://git.horde.org/horde-git/-/commit/2c9b30b56ef3723e5a698f0524b9e486510f4179
2011-10-07 17:27:42 Jan Schneider Comment #4
State ⇒ Feedback
Reply to this comment
Here's the deal:

PEAR's Text_Wiki does not allow to overwrite existing renderers. Thus 
we need to remove existing renders and add a different ones, if we 
want to override default behaviour, e.g. to allow displaying images 
from page attachments. Image markup in Text_Wiki_Mediawiki is not 
parsed by an Image renderer though, but with the Wikilink parser 
instead. This parser then hands over any found image markups to the 
(hardcoded) Image render, that we cannot override (see above). So 
we're kind of stuck.
2011-10-05 08:53:42 szimszon (at) oregpreshaz (dot) eu Comment #3 Reply to this comment
Confirmed.

I have the some issue. If there is only an [[Image:filename.jpg]] tag 
than the filename.jpg is retrieved from webserver's root directory and 
not from the actual page's attachements.
2011-09-29 02:27:17 simon (at) simonandkate (dot) net Comment #2 Reply to this comment

[Show Quoted Text - 38 lines]
When viewing the page I see this in Apaches logs:

[Thu Sep 29 12:20:04 2011] [error] [client 192.168.1.155] File does 
not exist: /var/www/horde4/Bacula.jpg, referer: 
https://mail.simonandkate.net/wicked/display.php?page=Bacula&referrer=IT_Documentation
[Thu Sep 29 12:20:04 2011] [error] [client 192.168.1.155] File does 
not exist: /var/www/horde4/Bacula.jpg, referer: 
https://mail.simonandkate.net/wicked/display.php?page=Bacula&referrer=IT_Documentation

Bacula is the actual page with the image attached, IT Documentation is 
the parent page.

The file does not exist in the location specified - not sure where it is!
2011-09-29 02:07:45 simon (at) simonandkate (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Inline images not displaying
Queue ⇒ Wicked
Milestone ⇒
Patch ⇒ No
Reply to this comment
(Using Mediawiki)

The Wiki/TextFormat page says:

Images

You can put a picture in a page with [[Image:foo.jpg]]. You can use 
any file type, but most browsers only support GIF, JPEG, and PNG 
formats. The filename can either be a relative reference (in which 
case the wiki looks for a file attached to the current page - or a 
different wiki page if the file name is prefixed with a page name, 
e.g. [[Image:SomePage:foo.jpg]]), an absolute reference which begins 
with a slash (in which case the wiki uses it to retrieve a file 
relative to the web server's root), or a full, external URL.

However trying that with the following code:

START
Here is sort of a picture of what names/passwords in which 
files/Resources must match up:

[[Image:Bacula.jpg]]

In the left column, you will find the Director
FINISH

Just shows on the formatted page as:

START
Here is sort of a picture of what names/passwords in which 
files/Resources must match up:

Bacula.jpg

In the left column, you will find the Director
FINISH

The file is attached to the page, and can be viewed that way.

Saved Queries